unit MyServer;
{****************************************************************}
{*                                                              *}
{*             Zeljko Cvijanovic - Teslic                       *}
{*              E-mail: cvzeljko@gmail.com                      *}
{*       https://sites.google.com/site/zeljusorg/zeljusorg      *}
{****************************************************************}

{$mode objfpc}{$H+}

interface
uses
 IdHTTPServer, IdCustomHTTPServer, IdContext, IdSocketHandle, IdGlobal,
  SysUtils;

type

  { THTTPServer }

  THTTPServer = class (TIdHTTPServer)
  public
    procedure InitComponent; override;
    procedure OnGet(AContext: TIdContext;ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo);
  end;

implementation

{ THTTPServer }

procedure THTTPServer.InitComponent;
var
  Binding: TIdSocketHandle;
begin
  {$IFDEF USE_ICONV}
    IdGlobal.GIdIconvUseTransliteration := True;
  {$ENDIF}

  inherited; //InitComponent;
  OnCommandGet := @OnGet;

  Bindings.Clear;
  Binding := Bindings.Add;
  Binding.IP := '127.0.0.1';
  Binding.Port := 8080;
  Binding.IPVersion := Id_IPv4;

end;

procedure THTTPServer.OnGet(AContext: TIdContext; ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo);
begin
  AResponseInfo.ContentText := 'Hello world!';
end;

end.

